---
title: "Unclaim entity"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`POST /v2/entities/{id}/unclaim`

## Path parameters

- `id` (`entity-unclaim.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<id>/unclaim'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/unclaim';
const options = {method: 'POST'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/unclaim"

response = requests.post(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "success": true,
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "status": "unclaimed"
  }
}
```

- `data` (`entity-unclaim.response.200.data`; object, required)
  - `success` (`entity-unclaim.response.200.data.success`; boolean, required)
  - `entityId` (`entity-unclaim.response.200.data.entityId`; string, required)
    - format `uuid`
  - `status` (`entity-unclaim.response.200.data.status`; string, required)
    - one of `"unclaimed"`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.400.error`; object, required)
  - `code` (`entity-unclaim.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.401.error`; object, required)
  - `code` (`entity-unclaim.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.403.error`; object, required)
  - `code` (`entity-unclaim.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.404.error`; object, required)
  - `code` (`entity-unclaim.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.409.error`; object, required)
  - `code` (`entity-unclaim.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.422.error`; object, required)
  - `code` (`entity-unclaim.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.429.error`; object, required)
  - `code` (`entity-unclaim.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.500.error`; object, required)
  - `code` (`entity-unclaim.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-unclaim.response.503.error`; object, required)
  - `code` (`entity-unclaim.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-unclaim.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-unclaim.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-unclaim.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-unclaim/index.md
